DoubleMaxStatementCache (c3p0-0.9.5.5 API Documentation)
Date: 2019-12-11

com.mchange.v2.c3p0.stmt

## Class DoubleMaxStatementCache

- java.lang.Object
- - com.mchange.v2.c3p0.stmt.GooGooStatementCache
  - - com.mchange.v2.c3p0.stmt.DoubleMaxStatementCache

-     public final class DoubleMaxStatementCache
      extends GooGooStatementCache

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.mchange.v2.c3p0.stmt.GooGooStatementCache

      `GooGooStatementCache.ConnectionStatementManager, GooGooStatementCache.Deathmarch, GooGooStatementCache.DeathmarchConnectionStatementManager, GooGooStatementCache.SimpleConnectionStatementManager`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DoubleMaxStatementCache(com.mchange.v2.async.AsynchronousRunner blockingTaskAsyncRunner, com.mchange.v2.async.AsynchronousRunner deferredStatementDestroyer, int max_statements, int max_statements_per_connection)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected GooGooStatementCache.ConnectionStatementManager` | `createConnectionStatementManager()`

    - ### Methods inherited from class com.mchange.v2.c3p0.stmt.GooGooStatementCache

      `checkinAll, checkinStatement, checkoutStatement, close, closeAll, dumpStatementCacheStatus, getNumConnectionsWithCachedStatements, getNumStatements, getNumStatementsCheckedOut, getStatementDestroyerNumConnectionsInUse, getStatementDestroyerNumConnectionsWithDeferredDestroyStatements, getStatementDestroyerNumDeferredDestroyStatements, inUse, isClosed, tryMarkConnectionInUse, unmarkConnectionInUse, waitMarkConnectionInUse`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DoubleMaxStatementCache

          public DoubleMaxStatementCache(com.mchange.v2.async.AsynchronousRunner blockingTaskAsyncRunner,
                                         com.mchange.v2.async.AsynchronousRunner deferredStatementDestroyer,
                                         int max_statements,
                                         int max_statements_per_connection)

  - ### Method Detail

    - #### createConnectionStatementManager

          protected GooGooStatementCache.ConnectionStatementManager createConnectionStatementManager()